Smart Proxy - Bug #1342

foreman-proxy package is not installable on Ubuntu
11/21/2011 06:50 AM - Anthony Newman
Pull request:

Description

There appears to be some transition in the Sinatra packages, which results in a broken dependency chain and the provided

foreman-proxy 0.3 package cannot be installed.

root@delta:~# dpkg -1 /home/aen/foreman-proxy_0.3-1_all.deb | grep Depends
Depends: ruby, rubygems, libopenssl-ruby, libsinatra-ruby, libjson-ruby, libnet-ping-ruby, rake

root@delta:~# apt-get install libsinatra-ruby

Reading package lists... Done

Building dependency tree

Reading state information... Done

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

The following information may help to resolve the situation:

The following packages have unmet dependencies:
libsinatra-ruby : Depends: ruby-sinatra but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

root@delta:~# apt-get install ruby-sinatra

Reading package lists... Done

Building dependency tree

Reading state information... Done

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

The following information may help to resolve the situation:

The following packages have unmet dependencies:
ruby-sinatra : Depends: ruby-rack but it is not installable
E: Unable to correct problems, you have held broken packages.

root@delta:~# apt-get install ruby-rack
Reading package lists... Done
Building dependency tree

Reading state information... Done

Package ruby-rack is not available, but is referred to by another package.

This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'ruby-rack’ has no installation candidate
#1 - 12/15/2011 11:17 AM - Jorge Moratilla
Hi all,

Same problem in ubuntu oneiric x64

Distributor ID: Ubuntu

Description: Ubuntu 11.10

Release: 11.10

Codename: oneiric

Any update on this issue?

#2 - 03/18/2012 08:47 AM - Ohad Levy

- Assignee set to Jochen Schalanda

joschi, any chance you have the time to look at this one?
thanks!

#3 - 07/02/2012 06:48 AM - Ohad Levy

- Assignee changed from Jochen Schalanda to Greg Sutcliffe

#4 - 07/02/2012 06:58 AM - Greg Sutcliffe
Anthony,

As we're gearing up for a 1.0 release, is there any chance you could test foreman_proxy-1.0rc1 from the testing repo in your environment? I'd like to
try an iron out any bugs before release...

#5 - 07/05/2012 04:43 AM - Ohad Levy

- Status changed from New to Resolved
